Package org.gradle.api.tasks.testing

# Class TestReport

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.tasks.testing.TestReport

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not made cacheable, yet") public abstract class TestReport extends DefaultTask
Generates an HTML test report from the results of one or more `Test` tasks.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `generateReport()`
  `protected abstract org.gradle.internal.operations.BuildOperationExecutor`
  `getBuildOperationExecutor()`
  Deprecated.
  `protected abstract org.gradle.internal.operations.BuildOperationRunner`
  `getBuildOperationRunner()`
  Deprecated.
  `abstract DirectoryProperty`
  `getDestinationDirectory()`
  Returns the directory to write the HTML report to.
  `protected org.gradle.api.internal.tasks.testing.report.generic.MetadataRendererRegistry`
  `getMetadataRendererRegistry()`
  Deprecated.
  `protected abstract ObjectFactory`
  `getObjectFactory()`
  `abstract ConfigurableFileCollection`
  `getTestResults()`
  Returns the set of binary test results to include in the report.

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### TestReport

    public TestReport()

- ## Method Details

  - ### getObjectFactory

    @Inject protected abstract ObjectFactory getObjectFactory()

  - ### getBuildOperationRunner

    @Inject @Deprecated protected abstract org.gradle.internal.operations.BuildOperationRunner getBuildOperationRunner()
    Deprecated.

  - ### getBuildOperationExecutor

    @Inject @Deprecated protected abstract org.gradle.internal.operations.BuildOperationExecutor getBuildOperationExecutor()
    Deprecated.

  - ### getMetadataRendererRegistry

    @Deprecated @Internal protected org.gradle.api.internal.tasks.testing.report.generic.MetadataRendererRegistry getMetadataRendererRegistry()
    Deprecated.

  - ### getDestinationDirectory

    @OutputDirectory public abstract DirectoryProperty getDestinationDirectory()
    Returns the directory to write the HTML report to.
    Since:
      7.4

  - ### getTestResults

    @InputFiles @SkipWhenEmpty @IgnoreEmptyDirectories @PathSensitive(NONE) public abstract ConfigurableFileCollection getTestResults()
    Returns the set of binary test results to include in the report.
    Since:
      7.4

  - ### generateReport

    void generateReport()